# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: ip_control_separator
    category: QSL\AdvancedSecurity
    type: separator
    orderby: 100
    translations: [{code: en, option_name: 'IP based access control'}]
    module: QSL\AdvancedSecurity
  - name: ip_block_mode
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Select\AccessControlMode
    orderby: 200
    value: black_list
    translations: [{code: en, option_name: 'Access control mode'}]
    module: QSL\AdvancedSecurity
  - name: ip_access_code
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Label\AccessLink
    orderby: 400
    translations: [{code: en, option_name: 'Link to bypass the IP based access control system'}]
    module: QSL\AdvancedSecurity
  - name: bot_protection_separator
    category: QSL\AdvancedSecurity
    type: separator
    orderby: 1000
    translations: [{code: en, option_name: 'Bot protection'}]
    module: QSL\AdvancedSecurity
  - name: bot_view_pages_count
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Input\Text\BotViewCount
    orderby: 1100
    value: 0
    translations: [{code: en, option_name: 'A visitor should be identified as a bot'}]
    module: QSL\AdvancedSecurity
  - name: bot_view_pages_duration
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Input\Text\BotViewDuration
    orderby: 1200
    value: 0
    module: QSL\AdvancedSecurity
  - name: bot_checkout_duration
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Input\Text\BotCheckoutDuration
    orderby: 1300
    value: 0
    translations: [{code: en, option_name: 'A visitor should be identified as a bot if the length of period between add to cart action and an attempt to buy is less than'}]
    module: QSL\AdvancedSecurity
  - name: bot_allow_buy
    category: QSL\AdvancedSecurity
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 1400
    value: 1
    translations: [{code: en, option_name: 'Allow bots to make purchases'}]
    module: QSL\AdvancedSecurity
  - name: bot_detect_by_ua
    category: QSL\AdvancedSecurity
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 1500
    value: 1
    translations: [{code: en, option_name: 'Detect search engine bots via the user agent'}]
    module: QSL\AdvancedSecurity
  - name: bot_add_to_black_list
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Select\AddToFilter
    orderby: 1600
    value: ''
    translations: [{code: en, option_name: 'Add bot IP addresses to black list'}]
    module: QSL\AdvancedSecurity
  - name: address_separator
    category: QSL\AdvancedSecurity
    type: separator
    orderby: 2000
    translations: [{code: en, option_name: 'Address based protection'}]
    module: QSL\AdvancedSecurity
  - name: address_bs_mode
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Select\AddressCheckoutMode
    orderby: 2100
    translations: [{code: en, option_name: 'Restrict purchases based on buyer address'}]
    module: QSL\AdvancedSecurity
  - name: address_location_mode
    category: QSL\AdvancedSecurity
    type: QSL\AdvancedSecurity\View\FormField\Select\LocationCheckoutMode
    orderby: 2200
    translations: [{code: en, option_name: 'Restrict purchases based on buyer location'}]
    module: QSL\AdvancedSecurity
XLite\Model\LanguageLabel:
  - name: 'Access filters'
    translations: [{code: en, label: 'Access filters'}]
  - name: 'Access filter'
    translations: [{code: en, label: 'Access filter'}]
  - name: 'Allow access from all but blacklisted IP addresses'
    translations: [{code: en, label: 'Allow access from all but blacklisted IP addresses'}]
  - name: 'Allow access from IP addresses in white list'
    translations: [{code: en, label: 'Allow access from IP addresses in white list'}]
  - name: neutral
    translations: [{code: en, label: neutral}]
  - name: 'black list'
    translations: [{code: en, label: 'black list'}]
  - name: 'white list'
    translations: [{code: en, label: 'white list'}]
  - name: 'IP addresses of buyers'
    translations: [{code: en, label: 'IP addresses of buyers'}]
  - name: 'IP addresses of buyers and registered users'
    translations: [{code: en, label: 'IP addresses of buyers and registered users'}]
  - name: 'IP addresses of all visitors'
    translations: [{code: en, label: 'IP addresses of all visitors'}]
  - name: 'Do not restrict'
    translations: [{code: en, label: 'Do not restrict'}]
  - name: 'Restrict if buyer''s billing and shipping addresses are not in the same country'
    translations: [{code: en, label: 'Restrict if buyer''s billing and shipping addresses are not in the same country'}]
  - name: 'Restrict if buyer''s billing and shipping addresses are not in the same country and city'
    translations: [{code: en, label: 'Restrict if buyer''s billing and shipping addresses are not in the same country and city'}]
  - name: 'Restrict if buyer''s IP address and billing address are not in the same country'
    translations: [{code: en, label: 'Restrict if buyer''s IP address and billing address are not in the same country'}]
  - name: 'Restrict if buyer''s IP address and billing address are not in the same country and city'
    translations: [{code: en, label: 'Restrict if buyer''s IP address and billing address are not in the same country and city'}]
  - name: 'if they view'
    translations: [{code: en, label: 'if they view'}]
  - name: 'pages in less than'
    translations: [{code: en, label: 'pages in less than'}]
  - name: seconds
    translations: [{code: en, label: seconds}]
  - name: 'IP address'
    translations: [{code: en, label: 'IP address'}]
  - name: 'The value needs to be an IP address or an IP address wildcard mask'
    translations: [{code: en, label: 'The value needs to be an IP address (for example, 127.0.0.1) or an IP address wildcard mask (for example, 127.0.0.*)'}]
  - name: 'IP address / mask'
    translations: [{code: en, label: 'IP address / mask'}]
  - name: 'IP address mask'
    translations: [{code: en, label: 'IP address mask'}]
  - name: 'IP address country'
    translations: [{code: en, label: 'IP address country'}]
  - name: 'User agent'
    translations: [{code: en, label: 'User agent'}]
  - name: 'User agent pattern'
    translations: [{code: en, label: 'User agent pattern'}]
  - name: 'Access to storefront'
    translations: [{code: en, label: 'Access to storefront'}]
  - name: 'Full access'
    translations: [{code: en, label: 'Full access'}]
  - name: 'Cannot view product details pages, buy products or create account'
    translations: [{code: en, label: 'Cannot view product details pages, buy products or create account'}]
  - name: 'Cannot buy products or create account'
    translations: [{code: en, label: 'Cannot buy products or create account'}]
  - name: 'The entity has been updated'
    translations: [{code: en, label: 'The entity has been updated'}]
  - name: 'The entity has been added'
    translations: [{code: en, label: 'The entity has been added'}]
  - name: 'Access mode'
    translations: [{code: en, label: 'Access mode'}]
  - name: 'The value needs to be an IP address'
    translations: [{code: en, label: 'The value needs to be an IP address (for example, 127.0.0.1)'}]
  - name: 'The value needs to be an IP address wildcard mask'
    translations: [{code: en, label: 'The value needs to be an IP address wildcard mask (for example, 127.0.0.*)'}]
  - name: 'Creation date'
    translations: [{code: en, label: 'Creation date'}]
  - name: Creator
    translations: [{code: en, label: Creator}]
  - name: 'Once the rule has been saved, the store will become unaccessible to you.'
    translations: [{code: en, label: 'Once the rule has been saved, the store will become unaccessible to you.'}]
  - name: 'Access forbidden'
    translations: [{code: en, label: 'Access forbidden'}]
  - name: 'Access allowed'
    translations: [{code: en, label: 'Access allowed'}]
  - name: 'Access forbidden to product pages, checkout and user authorization'
    translations: [{code: en, label: 'Access forbidden to product pages, checkout and user authorization'}]
  - name: 'Access forbidden to checkout and user authorization'
    translations: [{code: en, label: 'Access forbidden to checkout and user authorization'}]
  - name: 'Condition type'
    translations: [{code: en, label: 'Condition type'}]
  - name: 'Filter type'
    translations: [{code: en, label: 'Filter type'}]
  - name: 'Filter range'
    translations: [{code: en, label: 'Filter range'}]
  - name: 'Entire store'
    translations: [{code: en, label: 'Entire store'}]
  - name: 'Product pages, checkout and user registration/login'
    translations: [{code: en, label: 'Product pages, checkout and user registration/login'}]
  - name: 'Checkout and user registration/login'
    translations: [{code: en, label: 'Checkout and user registration/login'}]
  - name: 'Do not add'
    translations: [{code: en, label: 'Do not add'}]
  - name: 'Forbid access to entire site'
    translations: [{code: en, label: 'Forbid access to entire site'}]
  - name: 'Forbid access to Admin area'
    translations: [{code: en, label: 'Forbid access to Admin area'}]
  - name: 'Forbid access to Customer area'
    translations: [{code: en, label: 'Forbid access to Customer area'}]
  - name: 'Forbid access to product pages, checkout and user registration/login'
    translations: [{code: en, label: 'Forbid access to product pages, checkout and user registration/login'}]
  - name: 'Forbid access to checkout pages and user registration/login'
    translations: [{code: en, label: 'Forbid access to checkout pages and user registration/login'}]
  - name: 'Filter added because the user was identified as a bot'
    translations: [{code: en, label: 'Filter added because the user was identified as a bot ({{reason}})'}]
  - name: 'Filter added automatically to ensure access to the store of the current administrator'
    translations: [{code: en, label: 'Filter added automatically to ensure access to the store of the current administrator'}]
  - name: 'Identified as a bot: was moving about the site too fast'
    translations: [{code: en, label: 'Identified as a bot: was moving about the site too fast'}]
  - name: 'Identified as a bot: went to checkout too soon'
    translations: [{code: en, label: 'Identified as a bot: went to checkout too soon'}]
  - name: 'Identified as a bot: had a user agent string matching the user agent string pattern of the bot X'
    translations: [{code: en, label: 'Identified as a bot: had a user agent string matching the user agent string pattern of the bot {{name}}'}]
  - name: 'Shipping country does not match billing country'
    translations: [{code: en, label: 'Shipping country does not match billing country'}]
  - name: 'Shipping country/city do not match billing country/city'
    translations: [{code: en, label: 'Shipping country/city do not match billing country/city'}]
  - name: 'IP geolocation country data (Y) does not match billing country (X)'
    translations: [{code: en, label: 'IP geolocation country data ({{lcountry}}) does not match billing country ({{bcountry}})'}]
  - name: 'IP geolocation country/city data (Y / B) does not match billing country/city (X / A)'
    translations: [{code: en, label: 'IP geolocation country/city data ({{lcountry}} / {{lcity}}) does not match billing country/city ({{bcountry}} / {{bcity}})'}]
  - name: 'Last login from IP'
    translations: [{code: en, label: 'Last login from IP'}]
  - name: 'Forbid access  to entire site from this IP'
    translations: [{code: en, label: 'Forbid access  to entire site from this IP'}]
  - name: 'Allow access  to entire site from this IP'
    translations: [{code: en, label: 'Allow access  to entire site from this IP'}]
  - name: 'Start creation of filter for this IP'
    translations: [{code: en, label: 'Start creation of filter for this IP'}]
  - name: 'IP address from which the order was created'
    translations: [{code: en, label: 'IP address from which the order was created'}]
  - name: 'IP range by CIDR'
    translations: [{code: en, label: 'IP range by CIDR'}]
  - name: CIDR
    translations: [{code: en, label: CIDR}]
  - name: Security
    translations: [{code: en, label: Security}]
